Bug 149170 - limit update bandwidth, continue interrupted download
limit update bandwidth, continue interrupted download
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-19 17:48 EST by Neil Dugan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:18:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Dugan 2005-02-19 17:48:06 EST
Description of problem:
Hogs all download bandwidth.  When using a modem to connect to the
internet.  up2date uses all the bandwidth it can to download the
updates.  This leaves very little for doing other stuff (i.e. getting
webpages). 

Version-Release number of selected component (if applicable):
version unknown (lastest release)

How reproducible:
Ask up2date to update the system, then try and download a webpage as
well, when connected though a modem.

Steps to Reproduce:
1.  connect to the internet though a modem
2.  get up2date to download a new update
3.  try and get a complicated web page (e.g. ebay)
  
Actual results:
Web pages take a long time to download.

Expected results:
Web pages etc. not slowed down much.

Additional info:
I would like to see an option (hopefully setup though the GUI) that
can be used to limit the bandwidth up2date uses.  As this will
increase the time taken to download the large updates (e.g.
openoffice) it would be a good idea if up2date could resume an
interrupted download as well.  Like using the wget options
'--continue' and '--limit-rate'.
Comment 1 Matthew Miller 2006-07-10 17:29:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:18:43 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.